(function(window, document, gdn) {
    if (!gdn.getMeta('NucleusID', null)) {
        // Do nothing.
    } else if(window.tlm_ga && window.tlm_ga.isReady()) {
        tealiumLoginCapture(gdn.getMeta('NucleusID', null));
    } else {
        document.addEventListener('/ga/ready', function() {
            tealiumLoginCapture(gdn.getMeta('NucleusID', null));
        }, false);
    }

    // Trigger the event.
    function tealiumLoginCapture(nucleusID) {
        var tlmEvent = new CustomEvent('/ga/user/login-success', {
            detail: {
                userid: nucleusID
            }
        });
        document.dispatchEvent(tlmEvent);
    }
})(window, document, gdn);

// Check to see if we are even embedded.
jQuery(document).ready(function($) {
    if (window.top !== window.self) {
        $('a[href^="/entry/signin"],a[href^="/entry/register"]').on('click', function() {
            window.top.location = $(this).attr('href');
        });
    }

    /*var popupWindow = function() {
        var $this = $(this);

        if ($this.hasClass('NoMSIE') && /msie/.test(navigator.userAgent.toLowerCase())) {
            return;
        }

        var width = $this.attr('popupWidth');
        width = width ? width : 850;
        var height = $this.attr('popupHeight');
        height = height ? height : 580;
        var left = (screen.width - width) / 2;
        var top = (screen.height - height) / 2;

        var id = $this.attr('id');
        var href = $this.attr('href');
        if ($this.attr('popupHref')) {
            href = $this.attr('popupHref');
        } else {
            href += gdn.querySep(href) + 'display=popup';
        }

        var win = window.open(href, 'Window_' + id, "left=" + left + ",top=" + top + ",width=" + width + ",height=" + height + ",status=0,scrollbars=0");
        if (win) {
            win.focus();
        }
        return false;
    };*/
});